NAND_WRITE_PAGE_SYND(9)

NAME
nand_write_page_syndrome - [REPLACEABLE] hardware ECC syndrome based page write

SYNOPSIS

int nand_write_page_syndrome(struct mtd_info * mtd, struct nand_chip * chip, const uint8_t * buf, int oob_required);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

buf
    data buffer

oob_required
    must write chip->oob_poi to OOB

DESCRIPTION

The hw generator calculates the error syndrome automatically. Therefore we need a special oob layout and handling.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT